//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Coves
{
    using System;
    using System.Collections.Generic;
    
    public partial class RECEIVABLE
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public RECEIVABLE()
        {
            this.RECEIVABLE_LINE = new HashSet<RECEIVABLE_LINE>();
        }
    
        public int ROWID { get; set; }
        public string INVOICE_ID { get; set; }
        public string CUSTOMER_ID { get; set; }
        public string TYPE { get; set; }
        public System.DateTime INVOICE_DATE { get; set; }
        public decimal TOTAL_AMOUNT { get; set; }
        public decimal PAID_AMOUNT { get; set; }
        public decimal DISCOUNT_GIVEN { get; set; }
        public Nullable<System.DateTime> LAST_PAID_DATE { get; set; }
        public Nullable<System.DateTime> ZERO_DATE { get; set; }
        public string TERMS_NET_TYPE { get; set; }
        public Nullable<short> TERMS_NET_DAYS { get; set; }
        public Nullable<System.DateTime> TERMS_NET_DATE { get; set; }
        public string TERMS_DISC_TYPE { get; set; }
        public Nullable<short> TERMS_DISC_DAYS { get; set; }
        public Nullable<System.DateTime> TERMS_DISC_DATE { get; set; }
        public Nullable<decimal> TERMS_DISC_PERCENT { get; set; }
        public string TERMS_DESCRIPTION { get; set; }
        public string FREIGHT_TERMS { get; set; }
        public System.DateTime CREATE_DATE { get; set; }
        public string USER_ID { get; set; }
        public string STATUS { get; set; }
        public string PREPAY_ORDER_ID { get; set; }
        public string PREPAY_INVOICE_ID { get; set; }
        public decimal SELL_RATE { get; set; }
        public decimal BUY_RATE { get; set; }
        public System.DateTime POSTING_DATE { get; set; }
        public string ENTITY_ID { get; set; }
        public string RECV_GL_ACCT_ID { get; set; }
        public string MARKED_FOR_PURGE { get; set; }
        public Nullable<decimal> NEW_SELL_RATE { get; set; }
        public Nullable<decimal> NEW_BUY_RATE { get; set; }
        public Nullable<System.DateTime> PRINTED_DATE { get; set; }
        public string VAT_BOOK_CODE { get; set; }
        public Nullable<int> VAT_REPORT_NO { get; set; }
        public string VAT_FILENAME { get; set; }
        public string RCR_INVOICE_ID { get; set; }
        public string CURRENCY_ID { get; set; }
        public string USER_EXCH_RATE { get; set; }
        public string SALESREP_ID { get; set; }
        public decimal COMM_PAID_AMOUNT { get; set; }
        public Nullable<System.DateTime> VOID_DATE { get; set; }
        public Nullable<decimal> PREPAY_APPLIED_AMT { get; set; }
        public string LAST_PREPAY_INVOICE_ID { get; set; }
        public string TERMS_ID { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<RECEIVABLE_LINE> RECEIVABLE_LINE { get; set; }
    }
}
